%global momorel 3

%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name: libchamplain
Version: 0.6.1
Release: %{momorel}m%{?dist}
Summary: Clutter based widget
URL: http://projects.gnome.org/libchamplain
Group: System Environment/Base
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: chrpath
BuildRequires: clutter-devel >= 1.0.4-2m
BuildRequires: cairo-devel
BuildRequires: sqlite-devel
BuildRequires: libsoup-devel
BuildRequires: clutter-gtk-devel
BuildRequires: GConf2-devel

# for mono
# BuildRequires: gtk-sharp2-devel
# BuildRequires: clutter-sharp-devel
# BuildRequires: clutter-gtk-shrap

# for python
BuildRequires: pygtk2-devel
BuildRequires: pygobject-devel
BuildRequires: pyclutter-devel
BuildRequires: pyclutter-gtk-devel

BuildRequires: gobject-introspection-devel

%description 
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package devel
Summary:       Development files for %{name}
Group: Development/Libraries
Requires:      gobject-introspection-devel
Requires:      gtk-doc
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package gtk
Summary:       Gtk+ widget wrapper for %{name}
Group:         System Environment/Libraries

Requires:      %{name} = %{version}-%{release}

%description gtk
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%package gtk-devel
Summary:       Development files for %{name}-gtk
Group:         Development/Libraries

Requires:      gtk-doc
Requires:      %{name}-devel = %{version}-%{release}
Requires:      %{name}-gtk = %{version}-%{release}

%description gtk-devel
This package contains development files for %{name}-gtk.
 
%prep
%setup -q

%build
%configure --disable-debug --disable-silent-rules --disable-static \
  --enable-gtk --enable-gtk-doc --enable-introspection=yes

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}

make install INSTALL="%{__install} -p" DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

# Remove rpaths.
#chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{name}-gtk-0.4.so.0.3.2

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc README
%doc NEWS
%{_libdir}/girepository-1.0/Champlain-0.6.typelib
%{_libdir}/%{name}-0.6.so.*

%files devel
%defattr(-,root,root,-)
%doc demos/animated-marker.c
%doc demos/launcher.c
%doc demos/markers.c
%doc demos/markers.h
%doc demos/polygons.c
%doc demos/url-marker.c
%{_datadir}/gir-1.0/Champlain-0.6.gir
%{_datadir}/vala/vapi/champlain-0.6.deps
%{_datadir}/vala/vapi/champlain-0.6.vapi
%{_libdir}/%{name}-0.6.so
%{_libdir}/pkgconfig/champlain-0.6.pc

%dir %{_datadir}/gtk-doc/html/libchamplain
%doc %{_datadir}/gtk-doc/html/libchamplain/*

%dir %{_includedir}/%{name}-0.6
%{_includedir}/%{name}-0.6/champlain

%files gtk
%defattr(-,root,root,-)
%{_libdir}/girepository-1.0/GtkChamplain-0.6.typelib
%{_libdir}/%{name}-gtk-0.6.so.*

%files gtk-devel
%defattr(-,root,root,-)
%doc demos/launcher-gtk.c
%doc demos/markers.c
%doc demos/markers.h
%{_datadir}/gir-1.0/GtkChamplain-0.6.gir
%{_datadir}/vala/vapi/champlain-gtk-0.6.deps
%{_datadir}/vala/vapi/champlain-gtk-0.6.vapi
%{_libdir}/%{name}-gtk-0.6.so
%{_libdir}/pkgconfig/champlain-gtk-0.6.pc

%dir %{_datadir}/gtk-doc/html/libchamplain-gtk
%doc %{_datadir}/gtk-doc/html/libchamplain-gtk/*

%dir %{_includedir}/%{name}-gtk-0.6
%{_includedir}/%{name}-gtk-0.6/champlain-gtk

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.1-3m)
- full rebuild for mo7 release

* Sun Jul 25 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.1-2m)
- separate gtk and gtk-devel

* Sun Jun 27 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.6-2m)
- vapi and gir to devel

* Tue Jun  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.6-1m)
- update to 0.4.6

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.3-2m)
- use BuildRequires

* Mon Jan 11 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3-1m)
- update to 0.4.3

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Mon Oct 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Fri Sep 18 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-2m)
- BuildPrereq: clutter-devel >= 1.0.4-2m
- BuildPrereq: gobject-introspection-devel

* Tue Sep 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Sun Sep  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.92-2m)
- use python_sitearch

* Sun Sep  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.92-1m)
- update to 0.3.92
- enable pyclutter
-- add patch0 (but not work so good)

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.91-1m)
- initial build
-- disable-python (need clutter-0.8 pyclutter-0.8 to old)
-- disable-managed (need clutter-sharp)
